### Method

# Atspi Text scroll_substring_to_point

#### Declaration [src]

    gboolean
    atspi_text_scroll_substring_to_point (
      AtspiText* obj,
      gint start_offset,
      gint end_offset,
      AtspiCoordType coords,
      gint x,
      gint y,
      GError** error
    )

#### Description [src]

Scrolls whatever container of the `AtspiText` text range so it becomes visible on the screen at a given position.

#### Parameters

`start_offset`

  Type: `gint`

  A #gint indicating the start of the desired text range.

`end_offset`

  Type: `gint`

  A #gint indicating the first character past the desired range.

`coords`

  Type: `AtspiCoordType`

  A `AtspiCoordType` indicating whether the coordinates are relative to the screen, to the window, or to the parent object.

`x`

  Type: `gint`

  The x coordinate of the point to reach.

`y`

  Type: `gint`

  The y coordinate of the point to reach.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.